%define anolis_release 2
Summary: SGPIO captive backplane tool
Name: sgpio
Version: 1.2.1
Release: %{anolis_release}%{?dist}
License: GPLv2+
URL: http://sources.redhat.com/lvm2/wiki/DMRAID_Eventing
Source: https://www.sourceware.org/lvm2/wiki/DMRAID_Eventing?action=AttachFile&do=get&target=sgpio-%{version}.tgz
Patch0: sgpio-1.2-makefile.patch
BuildRequires: make
BuildRequires:  gcc
BuildRequires: dos2unix

%description
Intel SGPIO enclosure management utility

%prep
%setup -q -n sgpio
dos2unix --keepdate Makefile README
%patch0 -p1 -b .makefile
chmod a-x *

%build
%make_build CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
%make_install SBIN_DIR=$RPM_BUILD_ROOT%{_sbindir} MANDIR=$RPM_BUILD_ROOT%{_mandir}

%files
%doc README
%{_sbindir}/sgpio
%{_mandir}/man1/sgpio.*

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 1.2.1-2
- Rebuild for remove inappropriate build dependencies.

* Tue Apr 19 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2.1-1
- init from upstream
